Apache Tomcat 7.0.42

## org.apache.catalina.ha.backend
Class TcpSender

    java.lang.Object
      org.apache.catalina.ha.backend.TcpSender

All Implemented Interfaces:
  Sender

    public class TcpSender

extends Object
implements Sender

Field Summary
`protected BufferedReader[]` `connectionReaders`
`protected Socket[]` `connections` Active connections.
`protected BufferedWriter[]` `connectionWriters`
`protected Proxy[]` `proxies` Proxies.

Constructor Summary
`TcpSender()`

Method Summary
`protected void` `close(int i)` Close connection.
`void` `init(HeartbeatListener config)` Set the configuration parameters
`int` `send(String mess)` Send the message to the proxies

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### proxies

    protected Proxy[] proxies

  Proxies.

### connections

    protected Socket[] connections

  Active connections.

### connectionReaders

    protected BufferedReader[] connectionReaders

### connectionWriters

    protected BufferedWriter[] connectionWriters

Constructor Detail

### TcpSender

    public TcpSender()

Method Detail

### init

    public void init(HeartbeatListener config)
              throws Exception

  Description copied from interface: `Sender`
  Set the configuration parameters

  Specified by:
    `init` in interface `Sender`
  Throws:
    `Exception`

### send

    public int send(String mess)
             throws Exception

  Description copied from interface: `Sender`
  Send the message to the proxies

  Specified by:
    `send` in interface `Sender`
  Throws:
    `Exception`

### close

    protected void close(int i)

  Close connection.

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.